Subject: bug#60559: closed (Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Jan 2023 13:25:03 +0000

Your bug report

#60559: 29.0.60; "Cannot activate tree-sitter" spam

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60559: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam
From: Eli Zaretskii <[email-masked]>
To: Eric Gillespie <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 22 Jan 2023 15:24:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Eric Gillespie <[email-masked]>
> Date: Thu, 05 Jan 2023 08:59:00 -0600
> Cc: [email-masked], [email-masked],
>  Juri Linkov <[email-masked]>
> 
> All this discussion has been interesting, but it seems to me it
> is mostly focused on a world where not only tree-sitter is
> common, but all those grammar libraries are as well!
> 
> I think very few emacs users in 2023 live in that world.
> 
> If emacs was configured with tree-sitter, it seems productive to
> warn the user when tree-sitter grammars are missing.  It seems
> likely that user intended to have tree-sitter.
> 
> When emacs is NOT configured with tree-sitter, it seems
> counter-productive to warn about missing tree-sitter.
> 
> I even pass --without-tree-sitter to configure now.  It seems
> particularly surprising to me that I explicitly tell emacs "don't
> use tree-sitter" and then it immediately starts complaining to me
> that it doesn't have tree-sitter.

This annoyance should now be fixed on the emacs-29 branch, and I'm
therefore closing this bug (and the two others that were merged to
it).

Subject: 29.0.60; "Cannot activate tree-sitter" spam
From: Eric Gillespie <[email-masked]>
To: [email-masked]
Date: Wed, 04 Jan 2023 08:48:43 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q Cargo.toml
2. emacs -Q Dockerfile

Expected results:
Files opened without fanfare, as emacs always faithfully did for me
these last 25 years.

Actual results:
In both cases, a *Warnings* buffer pops up noisily occupying half the
screen and showing a bright red emoji saying:

	Warning (treesit): Cannot activate tree-sitter, because
	tree-sitter library is not compiled with Emacs

In GNU Emacs 29.0.60 (build 5, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0) of 2023-01-03 built on dogato
Repository revision: da69f116bfc37d28942ca6d35eaff978e6805bac
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: openSUSE Leap 15.4

Configured using:
 'configure -C --prefix=/home/epg/.local --disable-silent-rules
 --without-libsystemd --without-xft --without-m17n-flt
 --without-toolkit-scroll-bars --without-gpm --without-dbus
 --without-gsettings --without-selinux --without-compress-install
 --with-x CC=gcc-11'

Configured features:
CAIRO FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LIBXML2 MODULES
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF WEBP
X11 XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Dockerfile

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
dockerfile-ts-mode vc-git diff-mode easy-mmode vc-dispatcher warnings
icons toml-ts-mode treesit cl-seq cl-loaddefs cl-lib rmc iso-transl
tooltip cconv eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads inotify
dynamic-setting font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 45439 9825)
 (symbols 48 5990 0)
 (strings 32 17025 1792)
 (string-bytes 1 480690)
 (vectors 16 11015)
 (vector-slots 8 167209 16484)
 (floats 8 28 39)
 (intervals 56 302 0)
 (buffers 976 13))